| Home | Libraries | People | FAQ | More

## Function last_finder

boost::algorithm::last_finder — "Last" finder

## Synopsis

    template<typename ContainerT>
      unspecified last_finder(const ContainerT & Search);
    template<typename ContainerT, typename PredicateT>
      unspecified last_finder(const ContainerT & Search, PredicateT Comp);

## Description

Construct the `last_finder` . The finder searches for the last occurrence of the string in a given input. The result is given as an `iterator_range` delimiting the match.

Parameters: |
`Search` | A substring to be searched for.
Returns: | An instance of the `last_finder` object

| Copyright © 2002-2004 Pavol Droba